/* ///////////////////////////////////////////////////////////////////////
 * File:		type_wrap.h		
 *
 * Created:		08.07.21				
 * Updated:		08.07.21	
 *
 * Brief: A simple envelope for type template parameters
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */
#ifndef EXTL_TYPE_TYPE_WRAP_H
#define EXTL_TYPE_TYPE_WRAP_H

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include "../config/config.h" 

/* ///////////////////////////////////////////////////////////////////////
 * ::extl namespace 
 */
EXTL_BEGIN_NAMESPACE 

template<typename_param_k T>
struct type_wrap{};

/* ///////////////////////////////////////////////////////////////////////
 * ::extl namespace
 */
EXTL_END_NAMESPACE

/* //////////////////////////////////////////////////////////////////// */
#endif /* EXTL_TYPE_TYPE_WRAP_H */
/* //////////////////////////////////////////////////////////////////// */
